function love.load()

	watermelon = love.image.newImageData(love.filesystem.newFileData('iVBORw0KGgoAAAANSUhEUgAAABAAAAAdCAMAAACUsxyNAAAAG1BMVEUAAAD//8xm/2YAZgAAiAAAAAD/AJkAVQAAuwCd2kQ+AAAAAXRSTlMAQObYZgAAAHBJREFUeF6F0EEKQyEAA1GT/Nre/8QVDYNQoC4fE0E9kmRcJ5Z8SzSnKkAFeCEUFYCGCQ0TGqANExoKmgISJmsgtaBPUtBWAfIBF+RUNnhvxQvzed4JCfD8gHVPxgJLzn5dFi84JR8JIP+glzeonMEXBYEFSfnXZfkAAAAASUVORK5CYII=', '', 'base64'))

	cursors = {
		love.mouse.newCursor('arrow'),
		love.mouse.newCursor('ibeam'),
		love.mouse.newCursor('wait'),
		love.mouse.newCursor('waitarrow'),
		love.mouse.newCursor('crosshair'),
		love.mouse.newCursor('sizenwse'),
		love.mouse.newCursor('sizenesw'),
		love.mouse.newCursor('sizewe'),
		love.mouse.newCursor('sizens'),
		love.mouse.newCursor('sizeall'),
		love.mouse.newCursor('no'),
		love.mouse.newCursor('hand'),
		love.mouse.newCursor(watermelon, 0, 0)
	}

	i = 1

end


function love.draw()

	local cursor = love.mouse.getCursor()

	if cursor then
		love.graphics.print('Current cursor: ' .. cursor:getType(), 0, 0)
	else
		love.graphics.print('Current cursor: default', 0, 0)
	end

end


function love.mousepressed(x, y, b)

	if b == 'l' or b == 'wu' then

		i = i - 1
		if i < 1 then
			i = #cursors
		end

	elseif b == 'r' or b == 'wd' then

		i = i + 1
		if i > #cursors then
			i = 1
		end

	end

	love.mouse.setCursor(cursors[i])

end
